Page MenuHomePhabricator

Create project "Commons" to supersede T39883
Closed, ResolvedPublic

Description

Name: Commons

Description: A database of freely usable media files to which anyone can contribute

Type: Project

Tag: Commons

Event Timeline

Steinsplitter raised the priority of this task from to Needs Triage.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added a project: Project-Admins.
Steinsplitter added subscribers: Steinsplitter, Qgil, Rillke.

Note that this would superseded T39883.

Following discussion on T802#937886

Billinghurst added a comment.EditedJan 11 2015, 5:21 AM

@Aklapper @Qgil You mentioned that it is superseded, so to be "eyes wide open" could someone please point at a project with the links, and bug-related listing like T39883. then we can do a side-by-side by comparison.

Has anyone identified any significant consequences (good or bad) about a shift to a project from a bug listing? That sort of discussion would be useful.

Qgil triaged this task as Medium priority.Jan 12 2015, 8:25 AM

The main advantage of a project versus a tracking task is the possibility of having a workboard. Arguably, adding a tag is simpler thanks to type-ahead, and the tag is more visible in task pages.

On a more advanced level, an own project probably adds more possibilities for tracking and notifications. You can CC the subscribers of "Commons" in any task in one go, and you can create Herald rules based on changes to tasks assigned to "Commons" (when T630 is solved).

Billinghurst added a comment.EditedJan 12 2015, 11:00 AM

The project sounds a broader, more productive space that still allows 'tracking' of component bugs for Commons, though obviously different. I can see the potential for more holistic approach once we all get our heads around the power of the <s>toys</s> tools.

revi added a subscriber: revi.Jan 25 2015, 10:30 AM
Aklapper claimed this task.Mar 10 2015, 4:10 PM
Aklapper renamed this task from Create project: Commons to Create project "Commons" to supersede T39883.Mar 10 2015, 4:23 PM
Aklapper set Security to None.

This sounds like a good idea, yes.

Aklapper closed this task as Resolved.Mar 10 2015, 4:50 PM

Requested project Commons has been created: https://phabricator.wikimedia.org/project/profile/1118/

T39883 has been closed and dependency tasks have been added to the Commons project.

Please encourage interested people to visit the project and to join the project as members, and to subscribe themselves to the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

And if for some reason you ever want to rename the project, please check the guidelines first.

Enjoy!

Seven months ago the Phabricator project Commons was created - it's time to evaluate in T111046.
Those who wanted to see this Phabricator project: How do things work for you? Does the project and its workboard help you keeping an overview and getting things done? What problems do you face? Do people associate the project on tasks in the way that you suppose it? If not, do you have ideas how to improve that? Are you missing something that would make your work easier?
Please provide your input in T111046 (not here!) so we can find out whether to continue this way. And/or what to improve.
Thanks in advance for your feedback!

tomasz removed a subscriber: tomasz.Oct 8 2015, 8:45 PM